# Created by pyp2rpm-3.3.5
%global pypi_name webcolors

Name:           python-%{pypi_name}
Version:        1.12
Release:        %mkrel 1
Summary:        A library for working with color names and color values formats defined by HTML and CSS
Group:          Development/Python
License:        BSD 3-Clause
URL:            https://github.com/ubernostrum/webcolors
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(html5lib)
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(pytest)

%description
webcolors is a module for working with HTML/CSS color
definitions. Support is included for normalizing and converting between the
following formats (RGB colorspace only; conversion to/from HSL can be handled
by the colorsys module in the Python standard library).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
webcolors is a module for working with HTML/CSS color
definitions. Support is included for normalizing and converting between the
following formats (RGB colorspace only; conversion to/from HSL can be handled
by the colorsys module in the Python standard library).

%package -n python-%{pypi_name}-doc
Summary:        webcolors documentation
%description -n python-%{pypi_name}-doc
Documentation for webcolors

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
# exclude tests claiming Internet access
%pytest -k "not CSS3DefinitionTests or not HTML4DefinitionTests or not CSS21DefinitionTests"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE



%changelog
* Tue Nov 29 2022 papoteur <papoteur> 1.12-1.mga9
+ Revision: 1912608
- imported package python-webcolors

